Module | ActionController::Integration::Runner
In: | lib/action_controller/integration.rb

### Methods

method_missing new open_session reset!

### Public Class methods

new(*args)

### Public Instance methods

method_missing(sym, *args, &block)

Delegate unhandled messages to the current session instance.

open_session(application = nil) {|session if block_given?| ...}

Open a new session instance. If a block is given, the new session is yielded to the block before being returned.

      session = open_session do |sess|
        sess.extend(CustomAssertions)
      end

By default, a single session is automatically created for you, but you can use this method to open multiple sessions that ought to be tested simultaneously.

reset!()

Reset the current session. This is useful for testing multiple sessions in a single test case.

[Validate]